SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
SLNet::SocketDescriptor Struct Reference

Describes the local socket to use for RakPeer::Startup. More...

`#include <slikenet/types.h>`

## Public Member Functions

| SocketDescriptor ()
| SocketDescriptor (unsigned short _port, const char *_hostAddress)

## Public Attributes

unsigned short | port
| The local port to bind to. Pass 0 to have the OS autoassign a port.
char | hostAddress [32]
| The local network card address to bind to, such as "127.0.0.1". Pass an empty string to use INADDR_ANY.
short | socketFamily
unsigned short | remotePortRakNetWasStartedOn_PS3_PSP2
_PP_Instance_ | chromeInstance
bool | blockingSocket
unsigned int | extraSocketOptions
| XBOX only: set IPPROTO_VDP if you want to use VDP. If enabled, this socket does not support broadcast to 255.255.255.255.

## Detailed Description

Describes the local socket to use for RakPeer::Startup.

Definition at line 149 of file types.h.

## Constructor & Destructor Documentation

SocketDescriptor::SocketDescriptor | ( |  | ) |

Definition at line 101 of file RakNetTypes.cpp.

References blockingSocket, extraSocketOptions, hostAddress, port, remotePortRakNetWasStartedOn_PS3_PSP2, and socketFamily.

SocketDescriptor::SocketDescriptor | ( | unsigned short | _port,
|  | const char * | _hostAddress
| ) |  |

Definition at line 108 of file RakNetTypes.cpp.

References blockingSocket, extraSocketOptions, hostAddress, port, remotePortRakNetWasStartedOn_PS3_PSP2, and socketFamily.

## Member Data Documentation

bool SLNet::SocketDescriptor::blockingSocket

Definition at line 182 of file types.h.

Referenced by SocketDescriptor().

_PP_Instance_ SLNet::SocketDescriptor::chromeInstance

Definition at line 179 of file types.h.

Referenced by SLNet::RakPeer::Startup().

unsigned int SLNet::SocketDescriptor::extraSocketOptions

XBOX only: set IPPROTO_VDP if you want to use VDP. If enabled, this socket does not support broadcast to 255.255.255.255.

Definition at line 185 of file types.h.

Referenced by SocketDescriptor(), and SLNet::RakPeer::Startup().

char SLNet::SocketDescriptor::hostAddress[32]

The local network card address to bind to, such as "127.0.0.1". Pass an empty string to use INADDR_ANY.

Definition at line 158 of file types.h.

Referenced by SocketDescriptor().

unsigned short SLNet::SocketDescriptor::port

The local port to bind to. Pass 0 to have the OS autoassign a port.

Definition at line 155 of file types.h.

Referenced by SocketDescriptor(), and SLNet::RakPeer::Startup().

unsigned short SLNet::SocketDescriptor::remotePortRakNetWasStartedOn_PS3_PSP2

Definition at line 176 of file types.h.

Referenced by SocketDescriptor(), and SLNet::RakPeer::Startup().

short SLNet::SocketDescriptor::socketFamily

IP version: For IPV4, use AF_INET (default). For IPV6, use AF_INET6. To autoselect, use AF_UNSPEC. IPV6 is the newer internet protocol. Instead of addresses such as natpunch.jenkinssoftware.com, you may have an address such as fe80::7c:31f7:fec4:27de%14. Encoding takes 16 bytes instead of 4, so IPV6 is less efficient for bandwidth. On the positive side, NAT Punchthrough is not needed and should not be used with IPV6 because there are enough addresses that routers do not need to create address mappings. RakPeer::Startup() will fail if this IP version is not supported.

Precondition
  RAKNET_SUPPORT_IPV6 must be set to 1 in RakNetDefines.h for AF_INET6

Definition at line 166 of file types.h.

Referenced by SocketDescriptor(), and SLNet::RakPeer::Startup().

The documentation for this struct was generated from the following files:

- Source/include/slikenet/types.h
- Source/src/RakNetTypes.cpp